<!DOCTYPE html>
<html>
  <head>
    <base target="_top">    
    <?!= HtmlService.createHtmlOutputFromFile('css').getContent(); ?>
  </head>
  <body>
    <div id="loading">
    <span class="cp_loading20"><span> </span><span> </span></span>
    </div>
  
    <div class="container-fluid loaded" id="mainc">
    
    <div class="row">
    <div class="col-11 py-2">
    <h2>ふぁぼ物件一覧</h2>
    </div>
    </div>
    
    <div class="row">
      <div class="col-11 py-2">
      
      <a href="https://script.google.com/macros/s/***/exec?mode=input" class="btn btn-warning shadow-sm rounded-pill" role="button"><i class="fas fa-cart-plus fa-lg"></i></a>
      <a href="#" class="btn btn-warning shadow-sm rounded-pill ml-3" role="button" data-toggle="modal" data-target="#stackedBar"><i class="fas fa-house-user fa-lg"></i></a>
      
        <div class="modal fade" id="stackedBar" tabindex="-1" role="dialog" aria-labelledby="stackedBar">
          <div class="modal-dialog modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
              </div>
            <div class="modal-body">
              <canvas id="myChart"></canvas>
            </div>
          </div>
        </div>
        
      </div>
    </div>
      
      <div class="col-12 py-2">
      
      <table class="table table-sm table-condensed" id="propView" width="2000px">
      <thead class="thead-light">
        <!-- 項目名を取得し、表示する -->
        <tr>
          <? for (var h = 0; h < itemName.length; h++) { ?>
            <!-- URLは非表示 -->
            <?  if (h == 1) { ?>
              <? continue; ?>
              
            <!-- デフォ表示範囲（ツリー化列の項目名は非表示） -->
            <? } else if (h < 20) { ?>
              <th scope="col"><?= itemName[h] ?></th> 
            <? } ?>
          <? } ?>
        </tr>
      </thead>
      
      <tbody>
        <!-- データを取得し、表示する -->
        <? for (var i = 0; i < res.length; i++) { ?>
        <tr data-tt-id="<?= res[i][0] ?>1">
          <? for (var j = 0; j < res[i].length; j++) { ?>
            
            <!-- 編集画面へリンク -->
            <? if (j == 2) { ?>
              <td><a href="https://script.google.com/macros/s/***/exec?mode=edit&id=<?= res[i][j] ?>"><i class="fas fa-door-closed fa-lg"></i></a></td>
            
            <!-- 外観写真 -->
            <? } else if (j == 9) { ?>  
              <td><a href="#" data-toggle="modal" data-target="#gaikan<?= res[i][j] ?>"><i class="fas fa-camera fa-lg"></i></a></td>
                         
              <div class="modal fade" id="gaikan<?= res[i][j] ?>" tabindex="-1" role="dialog" aria-labelledby="gaikan">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <img src="https://drive.google.com/uc?id=<?= res[i][j] ?>" class="rounded mx-auto d-block" alt="gaikan" />
                    </div>
                  </div>
                </div>
              </div>
            
            <!-- 間取り図 -->
            <? } else if (j == 10) { ?>   
              <td><a href="#" data-toggle="modal" data-target="#madori<?= res[i][j] ?>"><i class="far fa-compass fa-lg"></i></a></td>
              
              <div class="modal fade" id="madori<?= res[i][j] ?>" tabindex="-1" role="dialog" aria-labelledby="madori">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <img src="https://drive.google.com/uc?id=<?= res[i][j] ?>" class="rounded mx-auto d-block" alt="madori" />
                    </div>
                  </div>
                </div>
              </div>
            
            <!-- URLは非表示 -->
            <? } else if (j == 1) { ?>
              <? continue; ?>
            
            <!-- デフォ表示範囲の最終列（向き） -->
            <? } else if (j == 19) { ?>
              <td class="norm"><?= res[i][j] ?></td>
              </tr>
              
            <!-- ツリー化する列（設備以降） -->
            <? } else if (j >= 20) { ?>  
              <tr data-tt-id="<?= res[i][0] ?><?= j - 17 ?>" data-tt-parent-id="<?= res[i][0] ?>1">
              <!-- 項目名 -->
              <th scope="row"><?= itemName[j] ?></th>
              <!-- データ -->
              <td class="norm" colspan="17"><?= res[i][j] ?></td>
              </tr>
            
            <!-- その他 -->
            <? } else { ?>
              <td class="norm"><?= res[i][j] ?></td>
            
            <? } ?>
          <? } ?>

        <? } ?>
      </tbody>
      </table>
    </div>
    </div>
    
    </div>
    
    <?!= HtmlService.createHtmlOutputFromFile('js').getContent(); ?>
  </body>
</html>